Manifest-Version: 1.0
Bnd-LastModified: 1728931454432
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Wiki Web
Bundle-SymbolicName: com.liferay.wiki.web
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 7.0.77.hotfix-6098-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: aQute.bnd.annotation.metatype;version="1.45",com.lifer
 ay.application.list;version="5.1",com.liferay.asset.constants;version
 ="2.0",com.liferay.asset.display.page.portlet;version="6.1",com.lifer
 ay.asset.kernel;version="2.0",com.liferay.asset.kernel.exception;vers
 ion="3.0",com.liferay.asset.kernel.model;version="9.2",com.liferay.as
 set.kernel.service;version="8.0",com.liferay.asset.kernel.service.per
 sistence;version="10.0",com.liferay.asset.util;version="4.0",com.life
 ray.change.tracking.spi.display;version="1.6",com.liferay.diff;versio
 n="1.0",com.liferay.document.library.configuration;version="4.0",com.
 liferay.document.library.display.context;version="8.0",com.liferay.do
 cument.library.kernel.antivirus;version="3.1",com.liferay.document.li
 brary.kernel.document.conversion;version="1.0",com.liferay.document.l
 ibrary.kernel.exception;version="4.0",com.liferay.document.library.ke
 rnel.model;version="8.0",com.liferay.document.library.kernel.service;
 version="9.0",com.liferay.document.library.kernel.store;version="3.1"
 ,com.liferay.document.library.kernel.util;version="7.1",com.liferay.d
 ynamic.data.mapping.kernel;version="3.0",com.liferay.expando.kernel.m
 odel;version="6.0",com.liferay.exportimport.kernel.lar;version="4.3",
 com.liferay.frontend.taglib.clay.servlet.taglib;version="7.0",com.lif
 eray.frontend.taglib.clay.servlet.taglib.util;version="4.0",com.lifer
 ay.item.selector;version="4.9",com.liferay.item.selector.criteria;ver
 sion="2.3",com.liferay.item.selector.taglib.servlet.taglib.util;versi
 on="1.0",com.liferay.petra.function;version="1.5",com.liferay.petra.f
 unction.transform;version="1.0",com.liferay.petra.io;version="1.3",co
 m.liferay.petra.io.unsync;version="1.0",com.liferay.petra.lang;versio
 n="1.3",com.liferay.petra.reflect;version="1.5",com.liferay.petra.sql
 .dsl.query;version="2.0",com.liferay.petra.string;version="1.7",com.l
 iferay.portal.configuration.metatype.annotations;version="1.6",com.li
 feray.portal.configuration.metatype.bnd.util;version="3.0",com.lifera
 y.portal.configuration.persistence.upgrade;version="1.0",com.liferay.
 portal.convert,com.liferay.portal.kernel.annotation;version="7.0",com
 .liferay.portal.kernel.bean;version="10.1",com.liferay.portal.kernel.
 change.tracking;version="2.2",com.liferay.portal.kernel.comment;versi
 on="4.0",com.liferay.portal.kernel.dao.orm;version="12.0",com.liferay
 .portal.kernel.dao.search;version="9.0",com.liferay.portal.kernel.dis
 play.context.helper;version="2.0",com.liferay.portal.kernel.exception
 ;version="13.1",com.liferay.portal.kernel.io.unsync;version="8.0",com
 .liferay.portal.kernel.json;version="11.0",com.liferay.portal.kernel.
 language;version="11.0",com.liferay.portal.kernel.lock;version="8.0",
 com.liferay.portal.kernel.log;version="8.0",com.liferay.portal.kernel
 .model;version="28.1",com.liferay.portal.kernel.module.configuration;
 version="2.1",com.liferay.portal.kernel.notifications;version="11.0",
 com.liferay.portal.kernel.portlet;version="22.0",com.liferay.portal.k
 ernel.portlet.bridges.mvc;version="6.0",com.liferay.portal.kernel.por
 tlet.configuration.icon;version="5.0",com.liferay.portal.kernel.portl
 et.toolbar.contributor;version="1.1",com.liferay.portal.kernel.portle
 t.url.builder;version="1.1",com.liferay.portal.kernel.portletdisplayt
 emplate;version="6.4",com.liferay.portal.kernel.portletfilerepository
 ;version="5.0",com.liferay.portal.kernel.repository.capabilities;vers
 ion="2.0",com.liferay.portal.kernel.repository.model;version="11.1",c
 om.liferay.portal.kernel.resource.bundle;version="1.0",com.liferay.po
 rtal.kernel.sanitizer;version="8.0",com.liferay.portal.kernel.search;
 version="20.0",com.liferay.portal.kernel.search.facet;version="9.0",c
 om.liferay.portal.kernel.search.geolocation;version="1.0",com.liferay
 .portal.kernel.security.auth;version="6.0",com.liferay.portal.kernel.
 security.permission;version="6.3",com.liferay.portal.kernel.security.
 permission.propagator;version="1.0",com.liferay.portal.kernel.securit
 y.permission.resource;version="2.2",com.liferay.portal.kernel.service
 ;version="19.3",com.liferay.portal.kernel.service.permission;version=
 "5.0",com.liferay.portal.kernel.servlet;version="11.2",com.liferay.po
 rtal.kernel.servlet.taglib;version="9.0",com.liferay.portal.kernel.se
 rvlet.taglib.ui;version="10.0",com.liferay.portal.kernel.settings;ver
 sion="3.2",com.liferay.portal.kernel.settings.definition;version="2.0
 ",com.liferay.portal.kernel.social;version="2.0",com.liferay.portal.k
 ernel.struts;version="8.0",com.liferay.portal.kernel.template;version
 ="14.0",com.liferay.portal.kernel.theme;version="10.2",com.liferay.po
 rtal.kernel.trash;version="14.0",com.liferay.portal.kernel.upgrade;ve
 rsion="19.1",com.liferay.portal.kernel.upload;version="9.0",com.lifer
 ay.portal.kernel.util;version="53.1",com.liferay.portal.kernel.workfl
 ow;version="18.1",com.liferay.portal.kernel.xml;version="7.1",com.lif
 eray.portal.kernel.zip;version="6.4",com.liferay.portal.language,com.
 liferay.portal.search.hits,com.liferay.portal.struts,com.liferay.port
 al.upgrade.registry;version="5.0",com.liferay.portal.upgrade.v7_0_0;v
 ersion="6.0",com.liferay.portal.util;version="42.0",com.liferay.portl
 et;version="9.0",com.liferay.ratings.kernel;version="1.2",com.liferay
 .ratings.kernel.definition;version="1.1",com.liferay.rss.util;version
 ="1.0",com.liferay.site.navigation.taglib.servlet.taglib.util;version
 ="1.0",com.liferay.social.kernel.model;version="6.1",com.liferay.soci
 al.kernel.service;version="3.0",com.liferay.subscription.model;versio
 n="3.1",com.liferay.subscription.service;version="1.7",com.liferay.ta
 glib.search;version="2.0",com.liferay.taglib.security;version="8.1",c
 om.liferay.trash;version="2.2",com.liferay.trash.exception;version="1
 .1",com.liferay.trash.kernel.model;version="6.0",com.liferay.trash.mo
 del;version="4.1",com.liferay.trash.service;version="2.5",com.liferay
 .trash.util;version="1.0",com.liferay.upload;version="1.2",com.lifera
 y.wiki.configuration;version="1.2",com.liferay.wiki.configuration.def
 inition;version="2.0",com.liferay.wiki.constants;version="3.0",com.li
 feray.wiki.engine;version="2.0",com.liferay.wiki.escape;version="1.0"
 ,com.liferay.wiki.exception;version="4.0",com.liferay.wiki.importer;v
 ersion="1.0",com.liferay.wiki.item.selector;version="1.0",com.liferay
 .wiki.item.selector.criterion;version="1.1",com.liferay.wiki.model;ve
 rsion="5.1",com.liferay.wiki.service;version="3.1",com.liferay.wiki.s
 ocial;version="1.0",com.liferay.wiki.util.comparator;version="1.0",co
 m.liferay.wiki.validator;version="1.0",javax.portlet,javax.portlet.an
 notations,javax.portlet.filter,javax.servlet,javax.servlet.http,javax
 .servlet.jsp;version="2.3",org.osgi.framework;version="1.8",org.w3c.d
 om
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Wiki
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Private-Package: com.liferay.wiki.web.internal.application.list,com.li
 feray.wiki.web.internal.asset,com.liferay.wiki.web.internal.asset.mod
 el,com.liferay.wiki.web.internal.auth.publicpath,com.liferay.wiki.web
 .internal.change.tracking.spi.display,com.liferay.wiki.web.internal.c
 onfiguration,com.liferay.wiki.web.internal.configuration.definition,c
 om.liferay.wiki.web.internal.constants,com.liferay.wiki.web.internal.
 convert,com.liferay.wiki.web.internal.custom.attributes,com.liferay.w
 iki.web.internal.display.context,com.liferay.wiki.web.internal.displa
 y.context.helper,com.liferay.wiki.web.internal.frontend.taglib.clay.s
 ervlet.taglib,com.liferay.wiki.web.internal.helper,com.liferay.wiki.w
 eb.internal.importer,com.liferay.wiki.web.internal.item.selector,com.
 liferay.wiki.web.internal.item.selector.constants,com.liferay.wiki.we
 b.internal.item.selector.view,com.liferay.wiki.web.internal.item.sele
 ctor.view.display.context,com.liferay.wiki.web.internal.notifications
 ,com.liferay.wiki.web.internal.portlet,com.liferay.wiki.web.internal.
 portlet.action,com.liferay.wiki.web.internal.portlet.configuration.ic
 on,com.liferay.wiki.web.internal.portlet.display.template,com.liferay
 .wiki.web.internal.portlet.route,com.liferay.wiki.web.internal.portle
 t.toolbar.item,com.liferay.wiki.web.internal.ratings.definition,com.l
 iferay.wiki.web.internal.search,com.liferay.wiki.web.internal.securit
 y.auth,com.liferay.wiki.web.internal.security.permission,com.liferay.
 wiki.web.internal.security.permission.resource,com.liferay.wiki.web.i
 nternal.servlet.taglib,com.liferay.wiki.web.internal.social,com.lifer
 ay.wiki.web.internal.struts,com.liferay.wiki.web.internal.translator,
 com.liferay.wiki.web.internal.trash,com.liferay.wiki.web.internal.upg
 rade.registry,com.liferay.wiki.web.internal.upgrade.v1_0_0,com.lifera
 y.wiki.web.internal.upload,com.liferay.wiki.web.internal.util,com.lif
 eray.wiki.web.internal.workflow,com.liferay.wiki.web.portlet.display.
 template.dependencies,resource-actions
Provide-Capability: osgi.webresource;osgi.webresource=wiki-web;version
 :Version="7.0.77.hotfix-6098-7413",osgi.service;objectClass:List<Stri
 ng>="com.liferay.application.list.PanelApp";uses:="com.liferay.applic
 ation.list",osgi.service;objectClass:List<String>="com.liferay.asset.
 kernel.model.AssetRendererFactory";uses:="com.liferay.asset.kernel.mo
 del",osgi.service;objectClass:List<String>="com.liferay.change.tracki
 ng.spi.display.CTDisplayRenderer";uses:="com.liferay.change.tracking.
 spi.display",osgi.service;objectClass:List<String>="com.liferay.expan
 do.kernel.model.CustomAttributesDisplay";uses:="com.liferay.expando.k
 ernel.model",osgi.service;objectClass:List<String>="com.liferay.item.
 selector.ItemSelectorReturnTypeResolver";uses:="com.liferay.item.sele
 ctor",osgi.service;objectClass:List<String>="com.liferay.item.selecto
 r.ItemSelectorView";uses:="com.liferay.item.selector",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.convert.ConvertProcess";us
 es:="com.liferay.portal.convert",osgi.service;objectClass:List<String
 >="com.liferay.portal.kernel.notifications.UserNotificationDefinition
 ";uses:="com.liferay.portal.kernel.notifications",osgi.service;object
 Class:List<String>="com.liferay.portal.kernel.notifications.UserNotif
 icationHandler";uses:="com.liferay.portal.kernel.notifications",osgi.
 service;objectClass:List<String>="com.liferay.portal.kernel.portlet.C
 onfigurationAction";uses:="com.liferay.portal.kernel.portlet",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Edi
 tPortletProvider";uses:="com.liferay.portal.kernel.portlet",osgi.serv
 ice;objectClass:List<String>="com.liferay.portal.kernel.portlet.Frien
 dlyURLMapper";uses:="com.liferay.portal.kernel.portlet",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.portlet.PortletLa
 youtFinder";uses:="com.liferay.portal.kernel.portlet",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.portlet.ViewPortlet
 Provider";uses:="com.liferay.portal.kernel.portlet",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.portlet.bridges.mvc.M
 VCActionCommand";uses:="com.liferay.portal.kernel.portlet.bridges.mvc
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.po
 rtlet.bridges.mvc.MVCRenderCommand";uses:="com.liferay.portal.kernel.
 portlet.bridges.mvc",osgi.service;objectClass:List<String>="com.lifer
 ay.portal.kernel.portlet.bridges.mvc.MVCResourceCommand";uses:="com.l
 iferay.portal.kernel.portlet.bridges.mvc",osgi.service;objectClass:Li
 st<String>="com.liferay.portal.kernel.portlet.configuration.icon.Port
 letConfigurationIcon";uses:="com.liferay.portal.kernel.portlet.config
 uration.icon",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.portlet.toolbar.contributor.PortletToolbarContributor,com.l
 iferay.wiki.web.internal.portlet.toolbar.item.WikiPortletToolbarContr
 ibutor";uses:="com.liferay.portal.kernel.portlet.toolbar.contributor,
 com.liferay.wiki.web.internal.portlet.toolbar.item",osgi.service;obje
 ctClass:List<String>="com.liferay.portal.kernel.security.auth.AlwaysA
 llowDoAsUser";uses:="com.liferay.portal.kernel.security.auth",osgi.se
 rvice;objectClass:List<String>="com.liferay.portal.kernel.security.pe
 rmission.propagator.PermissionPropagator";uses:="com.liferay.portal.k
 ernel.security.permission.propagator",osgi.service;objectClass:List<S
 tring>="com.liferay.portal.kernel.servlet.taglib.DynamicInclude";uses
 :="com.liferay.portal.kernel.servlet.taglib",osgi.service;objectClass
 :List<String>="com.liferay.portal.kernel.settings.definition.Configur
 ationPidMapping";uses:="com.liferay.portal.kernel.settings.definition
 ",osgi.service;objectClass:List<String>="com.liferay.portal.kernel.so
 cial.SocialActivityManager";uses:="com.liferay.portal.kernel.social",
 osgi.service;objectClass:List<String>="com.liferay.portal.kernel.stru
 ts.StrutsAction";uses:="com.liferay.portal.kernel.struts",osgi.servic
 e;objectClass:List<String>="com.liferay.portal.kernel.template.Templa
 teHandler";uses:="com.liferay.portal.kernel.template",osgi.service;ob
 jectClass:List<String>="com.liferay.portal.kernel.trash.TrashHandler"
 ;uses:="com.liferay.portal.kernel.trash",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.kernel.workflow.WorkflowHandler";uses:=
 "com.liferay.portal.kernel.workflow",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.upgrade.registry.UpgradeStepRegistrator";us
 es:="com.liferay.portal.upgrade.registry",osgi.service;objectClass:Li
 st<String>="com.liferay.ratings.kernel.definition.PortletRatingsDefin
 ition";uses:="com.liferay.ratings.kernel.definition",osgi.service;obj
 ectClass:List<String>="com.liferay.social.kernel.model.SocialActivity
 Interpreter";uses:="com.liferay.social.kernel.model",osgi.service;obj
 ectClass:List<String>="com.liferay.wiki.importer.WikiImporter";uses:=
 "com.liferay.wiki.importer",osgi.service;objectClass:List<String>="co
 m.liferay.wiki.web.internal.helper.WikiAttachmentsHelper";uses:="com.
 liferay.wiki.web.internal.helper",osgi.service;objectClass:List<Strin
 g>="com.liferay.wiki.web.internal.importer.WikiImporterRegistry";uses
 :="com.liferay.wiki.web.internal.importer",osgi.service;objectClass:L
 ist<String>="com.liferay.wiki.web.internal.upload.PageAttachmentWikiU
 ploadFileEntryHandler";uses:="com.liferay.wiki.web.internal.upload",o
 sgi.service;objectClass:List<String>="com.liferay.wiki.web.internal.u
 pload.PageAttachmentWikiUploadResponseHandler";uses:="com.liferay.wik
 i.web.internal.upload",osgi.service;objectClass:List<String>="com.lif
 eray.wiki.web.internal.upload.TempAttachmentWikiUploadFileEntryHandle
 r";uses:="com.liferay.wiki.web.internal.upload",osgi.service;objectCl
 ass:List<String>="java.lang.Object",osgi.service;objectClass:List<Str
 ing>="javax.portlet.Portlet";uses:="javax.portlet"
Require-Capability: osgi.extender;filter:="(&(osgi.extender=jsp.taglib
 )(uri=http://java.sun.com/portlet_2_0))",osgi.extender;filter:="(&(os
 gi.extender=jsp.taglib)(uri=http://liferay.com/tld/asset))",osgi.exte
 nder;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld
 /aui))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/clay))",osgi.extender;filter:="(&(osgi.extender=jsp
 .taglib)(uri=http://liferay.com/tld/comment))",osgi.extender;filter:=
 "(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/ddm))",osgi.
 extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com
 /tld/expando))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(u
 ri=http://liferay.com/tld/frontend))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/item-selector))",osgi
 .extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.co
 m/tld/portlet))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(
 uri=http://liferay.com/tld/ratings))",osgi.extender;filter:="(&(osgi.
 extender=jsp.taglib)(uri=http://liferay.com/tld/rss))",osgi.extender;
 filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/secu
 rity))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http:
 //liferay.com/tld/site-navigation))",osgi.extender;filter:="(&(osgi.e
 xtender=jsp.taglib)(uri=http://liferay.com/tld/template))",osgi.exten
 der;filter:="(&(osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/
 theme))",osgi.extender;filter:="(&(osgi.extender=jsp.taglib)(uri=http
 ://liferay.com/tld/trash))",osgi.extender;filter:="(&(osgi.extender=j
 sp.taglib)(uri=http://liferay.com/tld/ui))",osgi.extender;filter:="(&
 (osgi.extender=jsp.taglib)(uri=http://liferay.com/tld/util))",osgi.se
 rvice;filter:="(objectClass=com.liferay.asset.display.page.portlet.As
 setDisplayPageFriendlyURLProvider)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.asset.kernel.service.AssetTagLocalSer
 vice)";effective:=active,osgi.service;filter:="(objectClass=com.lifer
 ay.asset.util.AssetHelper)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.document.library.display.context.DLMimeTypeDi
 splayContext)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.document.library.kernel.service.DLAppService)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.document.librar
 y.kernel.util.DLValidator)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.item.selector.ItemSelectorReturnTypeResolverH
 andler)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.item.selector.ItemSelectorUploadResponseHandler)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.portal.configurati
 on.persistence.upgrade.ConfigurationUpgradeStepFactory)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.js
 on.JSONFactory)";effective:=active,osgi.service;filter:="(objectClass
 =com.liferay.portal.kernel.language.Language)";effective:=active,osgi
 .service;filter:="(objectClass=com.liferay.portal.kernel.model.Portle
 t)";effective:=active,osgi.service;filter:="(objectClass=com.liferay.
 portal.kernel.model.Release)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.portal.kernel.portlet.PortletLayoutFinder)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.por
 tal.kernel.portletfilerepository.PortletFileRepository)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.se
 arch.BaseSearcher)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.security.permission.resource.ModelResou
 rcePermission)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.kernel.security.permission.resource.PortletResourc
 ePermission)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.portal.kernel.service.CompanyLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.servi
 ce.GroupLocalService)";effective:=active,osgi.service;filter:="(objec
 tClass=com.liferay.portal.kernel.service.UserLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .settings.SettingsFactory)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.util.HtmlParser)";effective:=ac
 tive,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.uti
 l.Portal)";effective:=active,osgi.service;filter:="(objectClass=com.l
 iferay.portal.kernel.zip.ZipReaderFactory)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.social.kernel.service.SocialA
 ctivityLocalService)";effective:=active,osgi.service;filter:="(object
 Class=com.liferay.subscription.service.SubscriptionLocalService)";eff
 ective:=active,osgi.service;filter:="(objectClass=com.liferay.trash.T
 rashHelper)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.trash.service.TrashEntryLocalService)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.trash.service.TrashEntryS
 ervice)";effective:=active,osgi.service;filter:="(objectClass=com.lif
 eray.upload.UploadHandler)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.upload.UploadResponseHandler)";effective:=act
 ive,osgi.service;filter:="(objectClass=com.liferay.wiki.configuration
 .WikiGroupServiceConfiguration)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.wiki.engine.WikiEngineRenderer)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.wiki.import
 er.WikiImporter)";effective:=active;resolution:=optional;cardinality:
 =multiple,osgi.service;filter:="(objectClass=com.liferay.wiki.service
 .WikiNodeLocalService)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.wiki.service.WikiNodeService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.wiki.service.WikiPageL
 ocalService)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.wiki.service.WikiPageResourceLocalService)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.wiki.service.WikiPa
 geService)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.wiki.validator.WikiPageTitleValidator)";effective:=active,osg
 i.service;filter:="(objectClass=com.liferay.wiki.web.internal.helper.
 WikiAttachmentsHelper)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.wiki.web.internal.importer.WikiImporterRegistry)"
 ;effective:=active,osgi.service;filter:="(objectClass=com.liferay.wik
 i.web.internal.portlet.toolbar.item.WikiPortletToolbarContributor)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.wiki.
 web.internal.upload.PageAttachmentWikiUploadFileEntryHandler)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.wiki.web.i
 nternal.upload.PageAttachmentWikiUploadResponseHandler)";effective:=a
 ctive,osgi.service;filter:="(objectClass=com.liferay.wiki.web.interna
 l.upload.TempAttachmentWikiUploadFileEntryHandler)";effective:=active
 ,osgi.service;filter:="(objectClass=javax.servlet.ServletContext)";ef
 fective:=active,osgi.extender;filter:="(&(osgi.extender=osgi.componen
 t)(version>=1.4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=J
 avaPortlet;filter:="(&(osgi.contract=JavaPortlet)(version=3.0.0))",os
 gi.contract;osgi.contract=JavaServlet;filter:="(&(osgi.contract=JavaS
 ervlet)(version=3.1.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=
 1.8))"
Service-Component: OSGI-INF/com.liferay.wiki.web.internal.application.
 list.WikiPanelApp.xml,OSGI-INF/com.liferay.wiki.web.internal.asset.mo
 del.WikiPageAssetRendererFactory.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.auth.publicpath.AuthPublicPath.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.change.tracking.spi.display.WikiNodeCTDisplayRenderer.xml
 ,OSGI-INF/com.liferay.wiki.web.internal.change.tracking.spi.display.W
 ikiPageCTDisplayRenderer.xml,OSGI-INF/com.liferay.wiki.web.internal.c
 onfiguration.definition.WikiDisplayPortletInstanceConfigurationPidMap
 ping.xml,OSGI-INF/com.liferay.wiki.web.internal.configuration.definit
 ion.WikiPortletInstanceConfigurationPidMapping.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.convert.WikiCreoleConvertProcess.xml,OSGI-INF/co
 m.liferay.wiki.web.internal.custom.attributes.WikiPageCustomAttribute
 sDisplay.xml,OSGI-INF/com.liferay.wiki.web.internal.display.context.D
 LMimeTypeDisplayContextUtil.xml,OSGI-INF/com.liferay.wiki.web.interna
 l.helper.WikiAttachmentsHelper.xml,OSGI-INF/com.liferay.wiki.web.inte
 rnal.importer.MediaWikiImporter.xml,OSGI-INF/com.liferay.wiki.web.int
 ernal.importer.WikiImporterRegistry.xml,OSGI-INF/com.liferay.wiki.web
 .internal.item.selector.WikiPageTitleItemSelectorReturnTypeResolver.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.item.selector.WikiPageURLIt
 emSelectorReturnTypeResolver.xml,OSGI-INF/com.liferay.wiki.web.intern
 al.item.selector.view.WikiAttachmentItemSelectorView.xml,OSGI-INF/com
 .liferay.wiki.web.internal.item.selector.view.WikiPageItemSelectorVie
 w.xml,OSGI-INF/com.liferay.wiki.web.internal.notifications.WikiAddEnt
 ryUserNotificationDefinition.xml,OSGI-INF/com.liferay.wiki.web.intern
 al.notifications.WikiUpdateEntryUserNotificationDefinition.xml,OSGI-I
 NF/com.liferay.wiki.web.internal.notifications.WikiUserNotificationHa
 ndler.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.WikiAdminPor
 tlet.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.WikiDisplayPo
 rtlet.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.WikiEditPort
 letProvider.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.WikiPo
 rtlet.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.WikiPortletL
 ayoutFinder.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.WikiVi
 ewPortletProvider.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.
 action.AutocompletePageTitleMVCResourceCommand.xml,OSGI-INF/com.lifer
 ay.wiki.web.internal.portlet.action.CompareVersionsMVCRenderCommand.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.CompareVersi
 onsMVCResourceCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.action.EditNodeAttachmentMVCActionCommand.xml,OSGI-INF/com.lifera
 y.wiki.web.internal.portlet.action.EditNodeMVCActionCommand.xml,OSGI-
 INF/com.liferay.wiki.web.internal.portlet.action.EditNodeMVCRenderCom
 mand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.EditPa
 geAttachmentMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.web.intern
 al.portlet.action.EditPageAttachmentMVCRenderCommand.xml,OSGI-INF/com
 .liferay.wiki.web.internal.portlet.action.EditPageMVCActionCommand.xm
 l,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.EditPageMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action
 .ExportPageMVCActionCommand.xml,OSGI-INF/com.liferay.wiki.web.interna
 l.portlet.action.ImportPagesMVCActionCommand.xml,OSGI-INF/com.liferay
 .wiki.web.internal.portlet.action.ImportPagesMVCRenderCommand.xml,OSG
 I-INF/com.liferay.wiki.web.internal.portlet.action.MovePageMVCActionC
 ommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.Move
 PageMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portl
 et.action.NodeInfoPanelMVCResourceCommand.xml,OSGI-INF/com.liferay.wi
 ki.web.internal.portlet.action.PageInfoPanelMVCResourceCommand.xml,OS
 GI-INF/com.liferay.wiki.web.internal.portlet.action.SearchMVCRenderCo
 mmand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.Selec
 tVersionMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.p
 ortlet.action.UploadPageAttachmentMVCActionCommand.xml,OSGI-INF/com.l
 iferay.wiki.web.internal.portlet.action.ViewCategorizedPagesMVCRender
 Command.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.Vie
 wDraftPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.interna
 l.portlet.action.ViewMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.w
 eb.internal.portlet.action.ViewNodeDeletedAttachmentsMVCRenderCommand
 .xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ViewOrphan
 PagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.port
 let.action.ViewPageActivitiesMVCRenderCommand.xml,OSGI-INF/com.lifera
 y.wiki.web.internal.portlet.action.ViewPageAttachmentsMVCRenderComman
 d.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ViewPageD
 etailsMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.por
 tlet.action.ViewPageHistoryMVCRenderCommand.xml,OSGI-INF/com.liferay.
 wiki.web.internal.portlet.action.ViewPageIncomingLinksMVCRenderComman
 d.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action.ViewPageM
 VCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.ac
 tion.ViewPageOutgoingLinksMVCRenderCommand.xml,OSGI-INF/com.liferay.w
 iki.web.internal.portlet.action.ViewPagesMVCRenderCommand.xml,OSGI-IN
 F/com.liferay.wiki.web.internal.portlet.action.ViewRecentChangesMVCRe
 nderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action
 .ViewTaggedPagesMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.portlet.action.ViewTrashPageAttachmentsMVCRenderCommand.xml,OS
 GI-INF/com.liferay.wiki.web.internal.portlet.action.WikiAdminConfigur
 ationAction.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.action
 .WikiAdminViewMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.inte
 rnal.portlet.action.WikiConfigurationAction.xml,OSGI-INF/com.liferay.
 wiki.web.internal.portlet.action.WikiDisplayConfigurationAction.xml,O
 SGI-INF/com.liferay.wiki.web.internal.portlet.action.WikiDisplayViewM
 VCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.ac
 tion.WikiViewMVCRenderCommand.xml,OSGI-INF/com.liferay.wiki.web.inter
 nal.portlet.configuration.icon.AddChildPagePortletConfigurationIcon.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.icon.
 CopyPagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.portlet.configuration.icon.DeleteNodePortletConfigurationIcon.
 xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.icon
 .DeletePagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web
 .internal.portlet.configuration.icon.EditNodePortletConfigurationIcon
 .xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.ico
 n.EditPagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.
 internal.portlet.configuration.icon.ImportPagesPortletConfigurationIc
 on.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.i
 con.MovePagePortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.portlet.configuration.icon.NodePermissionsPortletConfigura
 tionIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configura
 tion.icon.NodeSubscriptionPortletConfigurationIcon.xml,OSGI-INF/com.l
 iferay.wiki.web.internal.portlet.configuration.icon.PagePermissionsPo
 rtletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.internal.por
 tlet.configuration.icon.PageSubscriptionPortletConfigurationIcon.xml,
 OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.icon.Per
 missionsPortletConfigurationIcon.xml,OSGI-INF/com.liferay.wiki.web.in
 ternal.portlet.configuration.icon.PrintPagePortletConfigurationIcon.x
 ml,OSGI-INF/com.liferay.wiki.web.internal.portlet.configuration.icon.
 ViewNodeDeletedAttachmentsPortletConfigurationIcon.xml,OSGI-INF/com.l
 iferay.wiki.web.internal.portlet.display.template.WikiPortletDisplayT
 emplateHandler.xml,OSGI-INF/com.liferay.wiki.web.internal.portlet.rou
 te.WikiFriendlyURLMapper.xml,OSGI-INF/com.liferay.wiki.web.internal.p
 ortlet.toolbar.item.WikiPortletToolbarContributor.xml,OSGI-INF/com.li
 feray.wiki.web.internal.ratings.definition.WikiPortletRatingsDefiniti
 on.xml,OSGI-INF/com.liferay.wiki.web.internal.security.auth.EditPageA
 ttachmentAlwaysAllowDoAsUser.xml,OSGI-INF/com.liferay.wiki.web.intern
 al.security.permission.WikiPermissionPropagatorImpl.xml,OSGI-INF/com.
 liferay.wiki.web.internal.security.permission.resource.WikiNodePermis
 sion.xml,OSGI-INF/com.liferay.wiki.web.internal.security.permission.r
 esource.WikiPagePermission.xml,OSGI-INF/com.liferay.wiki.web.internal
 .security.permission.resource.WikiResourcePermission.xml,OSGI-INF/com
 .liferay.wiki.web.internal.servlet.taglib.WikiPortletHeaderJSPDynamic
 Include.xml,OSGI-INF/com.liferay.wiki.web.internal.social.WikiActivit
 yInterpreter.xml,OSGI-INF/com.liferay.wiki.web.internal.social.WikiPa
 geSocialActivityManager.xml,OSGI-INF/com.liferay.wiki.web.internal.st
 ruts.FindPageStrutsAction.xml,OSGI-INF/com.liferay.wiki.web.internal.
 struts.GetPageAttachmentStrutsAction.xml,OSGI-INF/com.liferay.wiki.we
 b.internal.struts.RSSStrutsAction.xml,OSGI-INF/com.liferay.wiki.web.i
 nternal.trash.WikiNodeTrashHandler.xml,OSGI-INF/com.liferay.wiki.web.
 internal.trash.WikiPageTrashHandler.xml,OSGI-INF/com.liferay.wiki.web
 .internal.upgrade.registry.WikiWebUpgradeStepRegistrator.xml,OSGI-INF
 /com.liferay.wiki.web.internal.upload.PageAttachmentWikiUploadFileEnt
 ryHandler.xml,OSGI-INF/com.liferay.wiki.web.internal.upload.PageAttac
 hmentWikiUploadResponseHandler.xml,OSGI-INF/com.liferay.wiki.web.inte
 rnal.upload.TempAttachmentWikiUploadFileEntryHandler.xml,OSGI-INF/com
 .liferay.wiki.web.internal.util.WikiUtil.xml,OSGI-INF/com.liferay.wik
 i.web.internal.util.WikiWebComponentProvider.xml,OSGI-INF/com.liferay
 .wiki.web.internal.workflow.WikiPageWorkflowHandler.xml
Tool: Bnd-4.3.0.201909301554
Web-ContextPath: /wiki-web

